{
    "extends": "@tsconfig/svelte/tsconfig.json",

    "include": ["frontend/src/**/*", "types/**/*", "./../../cms/tibi-types", "api/**/*"],
    "exclude": ["**/app.server.js", "**/app.server.js.map", "_temp/**"],
    "compilerOptions": {
        "module": "esnext",
        "typeRoots": ["./node_modules/@types", "./types"],

        "target": "esnext",
        "moduleResolution": "bundler",
        "jsx": "preserve",
        "noEmit": true,
        "skipLibCheck": true,
        "forceConsistentCasingInFileNames": true,
        "resolveJsonModule": true,
        "useDefineForClassFields": true,
        "allowSyntheticDefaultImports": true,
        "verbatimModuleSyntax": true,

        "allowJs": true,
        "checkJs": true,
        "strictNullChecks": false,
        "noUnusedLocals": true
    }
}
